Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01902 Crash/Freeze Critical (emulator) Always Jun 15, 2008, 16:52 Jul 20, 2008, 16:53
Tester etabeta View Status Public Platform SDLMAME
Assigned To Resolution Fixed OS MacOS X
Status [?] Resolved Driver galpani3.cpp
Version 0.125u5 Fixed in Version 0.126u2 Build Debug
Summary 01902: galpani3: crash at start
Description the following backtrace

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000000
0x00197843 in skns_draw_sprites ()
(gdb) bt
#0  0x00197843 in skns_draw_sprites ()
#1  0x0018db73 in video_update_galpani3 ()
#2  0x00617621 in video_screen_update_partial ()
#3  0x006197fe in finish_screen_updates ()
#4  0x0061ad45 in video_frame_update ()
#5  0x00627db1 in mame_debug_hook ()
#6  0x00add10b in m68k_execute ()
#7  0x005930ae in cpunum_execute ()
#8  0x0058e5d0 in cpuexec_timeslice ()
#9  0x005c5d15 in mame_execute ()
#10 0x0058bab9 in cli_execute ()
#11 0x005326d9 in SDL_main ()
[snip]
#31 0x0056477e in main ()

seems to suggest that something hasn't been updated to latest haze's changes (not that the driver has ever really worked...)
Steps To Reproduce
Additional Information
Flags
Regression Version 0.125u5
Affected Sets / Systems galpani3
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.01287
Tafoid
Administrator
Jun 15, 2008, 17:07
It's a definite regression even if it is labeled with GAME_NOT_WORKING .. it dies quickly.
User avatar
No.01289
etabeta
Developer
Jun 16, 2008, 07:58
Same regression (and equivalent backtrace) in jchan.c games. Not sure if it's worth a second report: I guess haze could fix these as well when he fixes galpani3
User avatar
No.01721
etabeta
Developer
Jul 20, 2008, 13:44
edited on: Jul 20, 2008, 13:44
I've just submitted a fix for these crashes.

Anyway, it's worth to keep an eye on these games after 126u2, since there could be regressions due to the new (and more accurate) graphical emulation from suprnova.c
User avatar
No.01725
Haze
Senior Tester
Jul 20, 2008, 15:23
yeah.. they share the code, I didn't care about them too much as they're not likely to do anything useful until the MCUs get decapped (Gals Panic 3 isn't that easy to get hold of.)

.. and even then, it looks like actually dumping the MCUs is hard, they're meant to be mask parts based on the part # shown on the PCB, but we see no mask rom
User avatar
No.01728
etabeta
Developer
Jul 20, 2008, 16:53
thanks for clearing up the situation.

my comment was due to the fact that, after applying the fix for the crash, both galpani3 and jchan graphics have more issues than in 125u4